input {
    margin: 10px;
    max-width: 400px;
    width: 100%;
}

input[type="checkbox"] {
    width: auto;
}

.overlay {
    opacity: 0;
    visibility: hidden;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color:#99CCFF;
    z-index: 20;
    transition: .3s all;
}

.modal {
    opacity: 0;
    visibility: hidden;
    width: 100%;
    max-width: 500px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 30;
    box-shadow: 0 3px 10px -.5px rgba(0, 0, 0, .2);
    padding: 30px;
    border-radius: 3px;
    background-color: rgb(212, 194, 211);
    transition: 0.3s all;
}

.main {
    display: flex;
    flex-direction: column;
}

.modal.active,
.overlay.active {
    opacity: 1;
    visibility: visible;
}

.modal__cross {
    width: 15px;
    height: 15px;
    position: absolute;
    top: 20px;
    right: 20px;
    fill: rgb(19, 65, 17);
    cursor: pointer;
}

a {
    padding: 20px;
    display: inline-block;
    text-decoration: none;
    background-color: #1934ad;
    margin: 10px;
    color: rgb(238, 204, 245);
    border-radius: 3px;
}

@media screen and (max-width: 768px) {
    input {
        max-width: 350px;
    }
    input[type="checkbox"] {
        width: auto;
    }
    .modal__cross {
        right: 50px;
    }
}
